# app-name [![NPM version](https://badge.fury.io/js/app-name.svg)](http://badge.fury.io/js/app-name)

> Create variable names from module names. Like `gulp-jshint` => `jshint`. Useful for yeoman generators, or for loaders for gulp, assemble, and grunt plugins.

## Install
#### Install with [npm](npmjs.org):

```bash
npm i app-name --save-dev
```

## Run tests

```bash
npm test
```

## Usage

```js
var appname = require('app-name');

appname('gulp-jshint', 'gulp');
//=> jshint

appname('assemble-permalinks', 'assemble');
//=> permalinks

appname('handlebars-helper-foo', ['handlebars', 'helper']);
//=> foo
```

## Contributing
Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue][issues].

## Author

**Jon Schlinkert**
 
+ [github/jonschlinkert](https://github.com/jonschlinkert)
+ [twitter/jonschlinkert](http://twitter.com/jonschlinkert) 

## License
Copyright (c) 2014 Jon Schlinkert, contributors.  
Released under the MIT license

***

_This file was generated by [verb-cli](https://github.com/assemble/verb-cli) on October 12, 2014._

[issues]: https://github.com/jonschlinkert/app-name/issues